post
https://api-sdk.lmnl.dev/api/wallet/get-transfer
This API is a request to retrieve details of a transaction associated with a wallet.
If the transaction type is send, you can retrieve transaction details using either sequenceId or txId. If the transaction type is receive, you can retrieve transaction details using only txId. See API use cases for more information.
The following values are sliced to the decimal points:
value(8 decimal),baseValue(8 decimal),valueString(8 decimal),baseValueString(8 decimal),feeString(8 decimal), andusd(5 decimal).
Note
- This API is used to retrieve only Firewall-approved transactions.
- While all liminal supported chains support firewall for Mobile MPC Wallets, please refer to the latest supported chains for hot V2 wallets supporting firewall.
API use cases
The use cases of this API are as follows:
Retrieve a transaction using sequenceId
sequenceIdUse the following request body to retrieve the outgoing (send) transaction details using sequenceId.
{
"wallet":{
"coin": "eth",
"walletId":3520
},
"sequenceId":"93544241-c00e-c754-3bd0-494567a67ee8"
}Retrieve a transaction using txId
txIdUse the following request body to retrieve any of the outgoing (send) and incoming (receive) transaction details, using txId.
{
"wallet":{
"coin": "eth",
"walletId":1
},
"txId":"0x992ea09580d5c3c18cde5092dc96c9564c4945b42dafc1eba3f67b72b99f2efb"
}